/*
 * Copyright (C) 2006-2007 Andre Noll <maan@systemlinux.org>
 *
 * Licensed under the GPL v2. For licencing details see COPYING.
 */

/** \file string.h exported sybmols from string.c */

__must_check __malloc void *para_realloc(void *p, size_t size);
__must_check __malloc void *para_malloc(size_t size);
__must_check __malloc void *para_calloc(size_t size);
__must_check __malloc char *para_strdup(const char *s);
__must_check __malloc __printf_1_2 char *make_message(const char *fmt, ...);
__must_check __malloc char *para_strcat(char *a, const char *b);
__must_check __malloc char *para_dirname(const char *name);
__must_check __malloc char *para_basename(const char *name);
void chop(char* buf);
__must_check __malloc char *para_tmpname(void);
__must_check int para_mkstemp(char *template, mode_t mode);
__must_check __malloc char *para_logname(void);
__must_check __malloc char *para_homedir(void);
__must_check unsigned split_args(char *args, char ***argv_ptr, const char *delim);
__malloc char *para_hostname(void);
void valid_fd_012(void);

